Opened 6 years ago

Closed 5 days ago

#12105 closed Bug Report - General (Fixed)

EPG: EITCache: Ignoring channel since it is locked

Reported by: angela.schmid@… Owned by: Stuart Auchterlonie
Priority: minor Milestone: 31.0
Component: MythTV - EIT Version: 0.27-fixes
Severity: high Keywords: eit locked
Cc: Ticket locked: no

Description

After a mythbackend restart EPG is not loaded anymore and see the following messages:

2014-03-29 11:34:47.681760 I [410/435] TVRecEvent eitscanner.cpp:265 (StartActiveScan) - EITScanner (31): StartActiveScan called with 37 multiplexes
2014-03-29 11:34:47.905509 I [410/436] EIT eitscanner.cpp:143 (run) - EITScanner (31): Now looking for EIT data on multiplex of channel 81
2014-03-29 11:34:47.905563 I [410/436] EIT eitcache.cpp:386 (PruneOldEntries) - EITCache: Pruning all entries that ended before UTC 2014-03-28T10:40:12Z
2014-03-29 11:34:47.905573 I [410/436] EIT eitcache.cpp:112 (delete_in_db) - EITCache: Deleting old cache entries from the database
2014-03-29 11:34:49.046523 N [410/515] DVBRead recorders/dtvsignalmonitor.cpp:367 (HandlePMT) - DTVSigMon[31](/dev/dvb/adapter6/frontend0): PMT says program 81 is encrypted
2014-03-29 11:34:49.628863 I [410/435] TVRecEvent eitscanner.cpp:205 (StartPassiveScan) - EITScanner (31): Started passive scan.
2014-03-29 11:34:49.783281 I [410/515] DVBRead eitcache.cpp:161 (lock_channel) - EITCache: Ignoring channel 10099 since it is locked.
2014-03-29 11:34:49.844445 I [410/515] DVBRead eitcache.cpp:161 (lock_channel) - EITCache: Ignoring channel 1081 since it is locked.
2014-03-29 11:34:49.892038 I [410/515] DVBRead eitcache.cpp:161 (lock_channel) - EITCache: Ignoring channel 4930 since it is locked.

Before the restart mythbackend was in the middle of an active scan.

A little bit ugly is also the message when doing an active scan, that it shows it is doing a passive scan:

(StartPassiveScan) - EITScanner (31): Started passive scan

As an intermediate fix:

delete from eit_cache where status=1; 

Change History (4)

comment:1 Changed 6 years ago by angela.schmid@…

Please ignore my remark about the ugly message. StartActiveScan? scans all mplex, a channel is tuned and EIT is scanned passively until moved to the next mplex.

During ticket creation I forgot to set the Component, please move it to "MythTV-EIT".

comment:2 Changed 6 years ago by stuartm

Component: MythTV - GeneralMythTV - EIT
Owner: set to Stuart Auchterlonie
Status: newassigned

comment:3 Changed 5 years ago by a.weelden9@…

I encounter the same problem where, after stopping the mythbackend, select * from eit_cache where status=1; yields all channels locked and EIT/EPG is not updated anymore. The intermediate fix temporarily resolves the issue and EPG is fully updated in minutes until the next day.

comment:4 Changed 5 days ago by Klaas de Waal

Milestone: unknown31.0
Resolution: Fixed
Status: assignedclosed

Fixed in commit a4a64bf4af07f8e045c1941e13cd6a27e346fae3 on July 13 2019.

Clear EIT channel locks on master startup

EIT channels can be left locked when mythbackend is terminated with a SIGKILL. This means that there will be no new EIT information for these channels when mythbackend is started again. The only way to get the channels unlocked at short notice is to execute the appropriate sql commands manually. The function to clear the channel locks was already implemented, but it was never called. It is now called on startup of the master backend.

Note: See TracTickets for help on using tickets.